# Class CIM_AggregationMetricDefinition
extends CIM_BaseMetricDefinition

CIM_AggregationMetricDefinition represents the definitional aspects of a metric that is derived from another metric value. The CIM_AggregationMetricDefinition should be associated with the CIM_ManagedElement(s) to which it applies.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BaseMetricDefinition
|
+--CIM_AggregationMetricDefinition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_AggregationMetricDefinition represents the definitional aspects of a metric that is derived from another metric value. The CIM_AggregationMetricDefinition should be associated with the CIM_ManagedElement(s) to which it applies.
UMLPackagePath | string | CIM::Metrics::BaseMetric
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ChangeType | uint16 | 5

Description

string

ChangeType indicates how the metric value changes, in the form of typical combinations of finer grain attributes such as direction change, minimum and maximum values, and wrapping semantics. 5="Simple Function": indicates that the derived metric value is calculated by applying the basic mathematical function identified by the SimpleFunction property to the underlying metric values.

ModelCorrespondence | string | CIM_AggregationMetricDefinition.IsContinuous
Override | string | ChangeType
ValueMap | string | 5, .., 32768..65535
Values | string | Simple Function, DMTF Reserved, Vendor Reserved
SimpleFunction | uint16 |

Description

string

The SimpleFunction property identifies the basic computation performed on an underlying metric to arrive at the value of this derived metric. This property shall be NULL when the ChangeType property has a value other than 5 "Simple Function". 2="Minimum" indicates that the metric reports the lowest value detected for the associated monitored entity. This is also known as a low watermark. .3="Maximum" indicates that the metric reports the maximum value detected for the associated monitored entity. This is also known as a high watermark. 4="Average" indicates the metric reports the average value of the underlying metric values. 5="Median" indicates the metric reports the median value of the underlying metric values. 6="Mode" indicates the metric reports the modal value of the underlying metric values.

ValueMap | string | .., 2, 3, 4, 5, 6, 32768..65535
Values | string | DMTF Reserved, Minimum, Maximum, Average, Median, Mode, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Calculable | uint16 | CIM_BaseMetricDefinition
Caption | string | CIM_ManagedElement
DataType | uint16 | CIM_BaseMetricDefinition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
GatheringType | uint16 | CIM_BaseMetricDefinition
Id | string | CIM_BaseMetricDefinition
InstanceID | string | CIM_ManagedElement
IsContinuous | boolean | CIM_BaseMetricDefinition
Name | string | CIM_BaseMetricDefinition
ProgrammaticUnits | string | CIM_BaseMetricDefinition
TimeScope | uint16 | CIM_BaseMetricDefinition
Units | string | CIM_BaseMetricDefinition
BreakdownDimensions | string[] | CIM_BaseMetricDefinition

## Class Methods